/*
 * p7array.h -- ParentheTcl (p7tcl)
 *
 # Copyright (c) 2004-2006 Henry Strickland
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
 # copy of this software and associated documentation files (the "Software"),
 # to deal in the Software without restriction, including without limitation
 # the rights to use, copy, modify, merge, publish, distribute, sublicense,
 # and/or sell copies of the Software, and to permit persons to whom the
 # Software is furnished to do so, subject to the following conditions:
 #
 # The above copyright notice and this permission notice shall be included
 # in all copies or substantial portions of the Software.
 #
 # THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 # IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 # FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 # THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
 # OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 # ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 # OTHER DEALINGS IN THE SOFTWARE.
 #
 #         (* http://www.opensource.org/licenses/mit-license.php *)
 *
 */



#define NAME p7byt
#define STRUCT p7byt_VEC__struct
#define ARRAY p7byt_VEC_
#define FUNC(X) JOIN(p7byt_VEC__,X)
#include "p7array_decl.h"
#undef NAME 
#undef STRUCT 
#undef ARRAY 
#undef FUNC


#define NAME p7utf
#define STRUCT p7utf_VEC__struct
#define ARRAY p7utf_VEC_
#define FUNC(X) JOIN(p7utf_VEC__,X)
#include "p7array_decl.h"
#undef NAME 
#undef STRUCT 
#undef ARRAY 
#undef FUNC


#define NAME p7uni
#define STRUCT p7uni_VEC__struct
#define ARRAY p7uni_VEC_
#define FUNC(X) JOIN(p7uni_VEC__,X)
#include "p7array_decl.h"
#undef NAME 
#undef STRUCT 
#undef ARRAY 
#undef FUNC


#define NAME p7tcl
#define STRUCT p7tcl_VEC__struct
#define ARRAY p7tcl_VEC_
#define FUNC(X) JOIN(p7tcl_VEC__,X)
#include "p7array_decl.h"
#undef NAME 
#undef STRUCT 
#undef ARRAY 
#undef FUNC


#define NAME p7int
#define STRUCT p7int_VEC__struct
#define ARRAY p7int_VEC_
#define FUNC(X) JOIN(p7int_VEC__,X)
#include "p7array_decl.h"
#undef NAME 
#undef STRUCT 
#undef ARRAY 
#undef FUNC


#define NAME p7obj
#define STRUCT p7obj_VEC__struct
#define ARRAY p7obj_VEC_
#define FUNC(X) JOIN(p7obj_VEC__,X)
#include "p7array_decl.h"
#undef NAME 
#undef STRUCT 
#undef ARRAY 
#undef FUNC

